@echo off

set TARGET=%SystemRoot%\System32\spp\tokens\skus
set SOFTWARE=..\software
set ZIPFILE=sku.zip
set PRODUCTKEY=M7XTQ-FN8P6-TTKYV-9D4CC-J462D

if NOT EXIST %SOFTWARE%\%ZIPFILE% (
  echo ERROR: %SOFTWARE%\%ZIPFILE% not found!
  exit /b
)

echo ####### %0 #######

echo.
echo unpacking %ZIPFILE% ...
%TOOLS%\7z x -y -aoa -o%TARGET% %SOFTWARE%\%ZIPFILE% 1>nul

echo.
echo converting evaluate LTSC to normal windows version ...
cscript.exe %SystemRoot%\system32\slmgr.vbs /rilc
cscript.exe %SystemRoot%\system32\slmgr.vbs /upk >nul 2>&1
cscript.exe %SystemRoot%\system32\slmgr.vbs /ckms >nul 2>&1
cscript.exe %SystemRoot%\system32\slmgr.vbs /cpky >nul 2>&1
cscript.exe %SystemRoot%\system32\slmgr.vbs /ipk %PRODUCTKEY%
sc config LicenseManager start= auto & net start LicenseManager
sc config wuauserv start= auto & net start wuauserv

echo ####### %0 #######

